// Copyright 2017, the Flutter project authors.  Please see the AUTHORS file
// for details. All rights reserved. Use of this source code is governed by a
// BSD-style license that can be found in the LICENSE file.

part of firebase_database;

enum _EventType {
  childAdded,
  childRemoved,
  childChanged,
  childMoved,
  value,
}

/// `Event` encapsulates a DataSnapshot and possibly also the key of its
/// previous sibling, which can be used to order the snapshots.
class QueryEvent {
  Event._(Map<String, dynamic> data)
    : snapshot = new DataSnapshot._(
        key: _data['key'],
        value: _data['snapshot'],
        priority: _data['priority'],
      ),
      previousSiblingKey = _data['previousSiblingKey'];

  final DataSnapshot snapshot;
  final String previousSiblingKey;
}
